package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 客户详情对象 t_corps
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TCorps extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 客户类别
     */
    @Excel(name = "客户类别")
    private String fTypeid;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String fNo;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String fName;

    /**
     * 简称
     */
    @Excel(name = "简称")
    private String fCname;

    /**
     * 英文名称
     */
    @Excel(name = "英文名称")
    private String fEname;

    /**
     * 电话
     */
    @Excel(name = "电话")
    private String fTel;

    /**
     * 传真
     */
    @Excel(name = "传真")
    private String fFax;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    private String fEmail;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String fManage;

    /**
     * 地址
     */
    @Excel(name = "地址")
    private String fAddr;

    /**
     * 英文地址
     */
    @Excel(name = "英文地址")
    private String fEaddr;

    /**
     * 规模
     */
    @Excel(name = "规模")
    private String fScale;

    /**
     * 省
     */
    @Excel(name = "省")
    private String fProvince;

    /**
     * 市
     */
    @Excel(name = "市")
    private String fCity;

    /**
     * 结算表票结、月结
     */
    @Excel(name = "结算表票结、月结")
    private Long fStltypeid;

    /**
     * 结费天数
     */
    @Excel(name = "结费天数")
    private Long fStldays;

    /**
     * 合同号
     */
    @Excel(name = "合同号")
    private String fContractno;

    /**
     * 合同起
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同起", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fContractb;

    /**
     * 合同至
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同至", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fContracte;

    /**
     * 税号
     */
    @Excel(name = "税号")
    private String fTax;

    /**
     * 开票电话
     */
    @Excel(name = "开票电话")
    private String fInvtel;

    /**
     * 开票地址
     */
    @Excel(name = "开票地址")
    private String fInvaddr;

    /**
     * 本位币账号
     */
    @Excel(name = "本位币账号")
    private String fBankno;

    /**
     * 本位币银行
     */
    @Excel(name = "本位币银行")
    private String fBankname;

    /**
     * 外币账号
     */
    @Excel(name = "外币账号")
    private String fUbankno;

    /**
     * 外币银行
     */
    @Excel(name = "外币银行")
    private String fUbankname;

    /**
     * 状态默认 T ,正常T 停用F 下拉选择
     */
    @Excel(name = "状态默认 T ,正常T 停用F 下拉选择")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    /**
     * 客户类别
     */
    @Excel(name = "客户类别")
    private String fTypename;


    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfTypeid(String fTypeid) {
        this.fTypeid = fTypeid;
    }

    public String getfTypeid() {
        return fTypeid;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfCname(String fCname) {
        this.fCname = fCname;
    }

    public String getfCname() {
        return fCname;
    }

    public void setfEname(String fEname) {
        this.fEname = fEname;
    }

    public String getfEname() {
        return fEname;
    }

    public void setfTel(String fTel) {
        this.fTel = fTel;
    }

    public String getfTel() {
        return fTel;
    }

    public void setfFax(String fFax) {
        this.fFax = fFax;
    }

    public String getfFax() {
        return fFax;
    }

    public void setfEmail(String fEmail) {
        this.fEmail = fEmail;
    }

    public String getfEmail() {
        return fEmail;
    }

    public void setfManage(String fManage) {
        this.fManage = fManage;
    }

    public String getfManage() {
        return fManage;
    }

    public void setfAddr(String fAddr) {
        this.fAddr = fAddr;
    }

    public String getfAddr() {
        return fAddr;
    }

    public void setfEaddr(String fEaddr) {
        this.fEaddr = fEaddr;
    }

    public String getfEaddr() {
        return fEaddr;
    }

    public void setfScale(String fScale) {
        this.fScale = fScale;
    }

    public String getfScale() {
        return fScale;
    }

    public void setfProvince(String fProvince) {
        this.fProvince = fProvince;
    }

    public String getfProvince() {
        return fProvince;
    }

    public void setfCity(String fCity) {
        this.fCity = fCity;
    }

    public String getfCity() {
        return fCity;
    }

    public void setfStltypeid(Long fStltypeid) {
        this.fStltypeid = fStltypeid;
    }

    public Long getfStltypeid() {
        return fStltypeid;
    }

    public void setfStldays(Long fStldays) {
        this.fStldays = fStldays;
    }

    public Long getfStldays() {
        return fStldays;
    }

    public void setfContractno(String fContractno) {
        this.fContractno = fContractno;
    }

    public String getfContractno() {
        return fContractno;
    }

    public void setfContractb(Date fContractb) {
        this.fContractb = fContractb;
    }

    public Date getfContractb() {
        return fContractb;
    }

    public void setfContracte(Date fContracte) {
        this.fContracte = fContracte;
    }

    public Date getfContracte() {
        return fContracte;
    }

    public void setfTax(String fTax) {
        this.fTax = fTax;
    }

    public String getfTax() {
        return fTax;
    }

    public void setfInvtel(String fInvtel) {
        this.fInvtel = fInvtel;
    }

    public String getfInvtel() {
        return fInvtel;
    }

    public void setfInvaddr(String fInvaddr) {
        this.fInvaddr = fInvaddr;
    }

    public String getfInvaddr() {
        return fInvaddr;
    }

    public void setfBankno(String fBankno) {
        this.fBankno = fBankno;
    }

    public String getfBankno() {
        return fBankno;
    }

    public void setfBankname(String fBankname) {
        this.fBankname = fBankname;
    }

    public String getfBankname() {
        return fBankname;
    }

    public void setfUbankno(String fUbankno) {
        this.fUbankno = fUbankno;
    }

    public String getfUbankno() {
        return fUbankno;
    }

    public void setfUbankname(String fUbankname) {
        this.fUbankname = fUbankname;
    }

    public String getfUbankname() {
        return fUbankname;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public String getfTypename() {
        return fTypename;
    }

    public void setfTypename(String fTypename) {
        this.fTypename = fTypename;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fTypeid", getfTypeid())
                .append("fNo", getfNo())
                .append("fName", getfName())
                .append("fCname", getfCname())
                .append("fEname", getfEname())
                .append("fTel", getfTel())
                .append("fFax", getfFax())
                .append("fEmail", getfEmail())
                .append("fManage", getfManage())
                .append("fAddr", getfAddr())
                .append("fEaddr", getfEaddr())
                .append("fScale", getfScale())
                .append("fProvince", getfProvince())
                .append("fCity", getfCity())
                .append("fStltypeid", getfStltypeid())
                .append("fStldays", getfStldays())
                .append("fContractno", getfContractno())
                .append("fContractb", getfContractb())
                .append("fContracte", getfContracte())
                .append("fTax", getfTax())
                .append("fInvtel", getfInvtel())
                .append("fInvaddr", getfInvaddr())
                .append("fBankno", getfBankno())
                .append("fBankname", getfBankname())
                .append("fUbankno", getfUbankno())
                .append("fUbankname", getfUbankname())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
